# Generated by Django 4.2.4 on 2023-08-27 14:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tvshow', '0002_alter_tvshow_type_tvshow_rating'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='rating',
            name='rate_stars',
        ),
        migrations.AddField(
            model_name='rating',
            name='Created_at',
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AddField(
            model_name='rating',
            name='Text',
            field=models.CharField(choices=[('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'), ('6', '6'), ('7', '7'), ('8', '8'), ('9', '9'), ('10', '10')], max_length=222, null=True),
        ),
        migrations.CreateModel(
            name='Reviews',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment', models.CharField(max_length=500, null=True, verbose_name='Комментарий')),
                ('rate', models.IntegerField(choices=[(1, '*'), (2, '**'), (3, '***'), (4, '****'), (5, '*****')], null=True, verbose_name='Оценка')),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('choice_film', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reviews', to='tvshow.tvshow')),
            ],
        ),
    ]
